Package org.gradle.tooling.model.cpp

## Interface MacroDirective

-     public interface MacroDirective

  Represent a macro directive.
  Since:
    4.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the name of the macro.
    `java.lang.String` | `getValue()` | Returns the value of the macro, if any.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the macro.

    - #### getValue

          @Nullable
          java.lang.String getValue()

      Returns the value of the macro, if any.